Skip to main content
`Ctrl`+`K`

# PetscDASetOptionsPrefix

Sets the prefix used for searching for all PetscDA options in the database.

## Synopsis

    PetscErrorCode PetscDASetOptionsPrefix(PetscDA das, const char p[])

Logically Collective

## Input Parameters

- das - the `PetscDA` context

- p - the prefix string to prepend to all PetscDA option requests

## See Also

`PetscDA`, `PetscDASetFromOptions()`, `PetscDAAppendOptionsPrefix()`, `PetscDAGetOptionsPrefix()`

## Level

advanced

## Location

src/ml/da/interface/petscda.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages